Bug 174901 - xscreensaver never blanks on multi-head non-Xinerama systems
xscreensaver never blanks on multi-head non-Xinerama systems
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
http://www.jwz.org/xscreensaver/chang...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-03 13:15 EST by Brian Shaver
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:40:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Shaver 2005-12-03 13:15:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I recently configured my laptop to run in a multi-head configuration. Since 
making this change my xscreensaver has never blanked my screen. This is not 
a DPMS issue, the screensaver just never comes on.


A sample of my xorg.conf configuration is below.

    Section "ServerLayout"
	    Identifier     "Multihead layout"
	    Screen      0  "Screen0" LeftOf "Screen1"
	    Screen      1  "Screen1" 0 0
	    InputDevice    "Mouse0" "CorePointer"
	    InputDevice    "Keyboard0" "CoreKeyboard"
	    Option      "Xinerama" "off"
	    Option      "Clone" "on"
    EndSection

I also use the NVIDIA driver from the livna repository, but I don't think that
makes a difference.

In looking at the xscreensaver changelog (http://www.jwz.org/xscreensaver/changelog.html) it appears this bug was 
present in 4.21 and fixed in the next version 4.22. So I believe the issue 
will be resolved with an update of the FC4 xscreensaver version.

Version-Release number of selected component (if applicable):
xscreensaver-base-4.21-4

How reproducible:
Always

Steps to Reproduce:
1. Configure your X server in multi-head configuration with Xinerama off. 
2. Start X, verify xscreensaver is running and using the xscreensaver-demo verify your screensaver configuration.
3. Wait for the blank time, the screen will never blank.

Actual Results:  The screen never blanks, regardless of screensaver mode, or blanking time.

Expected Results:  In my configuration, the screen should blank after 5 minutes.

Additional info:

As noted above, I believe this bug will be resolved in xscreensaver 4.22, and so a FC4 RPM update should resolve this issue.
Comment 1 Antonio Piccolboni 2006-03-03 02:35:00 EST
I observed same problem, same setup, only desktop instead of laptop. Let me add 
that screensaver can be started manually with -activate and it work on both 
heads. It's the server that doesn't start it.
Comment 2 Christian Iseli 2007-01-19 19:50:49 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Ray Strode [halfline] 2007-08-14 11:40:30 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.